WHOB(8)

NAME
whob - display whois-type information of interest to Internet operators

SYNOPSIS
whob [-AaCcgNnOopPRrstuVv] [-h server] [-w server] [-f file] query | me | whoami

DESCRIPTION
whob queries various sources of whois information for data of interest to network operators and their tracing and debugging tools.

whob output is designed to be easily parsed, or better yet, its functionality can be added directly into your programs (see whois.h).

The only mandatory parameter is the target host name or IP address. Options toggle the display of additional data or change the sources used to obtain it.

One key advantage of whob is its lookup of ASN information derived from the global Internet routing table itself, as opposed to relying solely on what has been registered in the RADB/IRR (see below). This data is, by default, sourced from the global pWhoIs service. See www.pwhois.org.

Options:

-A ASN
    Display all routing advertisements transiting the respective ASN. The ASN may be supplied as the target argument, or a hostname or IP address may be supplied and whob will resolve the ASN automatically.

-a ASN
    Display all routing advertisements made by the respective Origin-AS. The Origin-AS may be supplied as the target argument, or a hostname or IP address may be supplied and whob will resolve the ASN automatically.

-P prefix
    Display all routing advertisements related to the CIDR prefix supplied.

-N ASN
    Display all networks registered to the ASN supplied.

-O ASN
    Display all contact information on file for the ASN supplied.

-g  Disable GIGO mode. By popular request, whob takes input directly from the command line and passes it without modification to pWhoIs or whatever whois server is requested (-h). The exact output is returned without any parsing. To enable parsing and the other useful options, disable GIGO mode with -g.

-R  Display the Origin-AS on record at the RADB/IRR (Routing Arbiter Database/Internet Routing Registry) in addition to the Origin-AS provided by the prefix-based whois data source.

-n  Display the network name on record with the IP network allocation registry (ARIN, RIPE, APNIC, etc.).

-o  Suppress display of the organization name on file at the registrar. By default the organization name is shown; this flag hides it.

-p  Display the AS-Path from the perspective of the current pWhoIs server. The pWhoIs server may automatically exclude the initial, least-specific ASN received from the operator of the network to which it is connected (unless that ASN is the only/origin ASN or has multiple peers). This AS-Path is subjective. If you rely on it and want AS-Paths that correspond to your own network infrastructure, consider running your own pWhoIs server. See the -w option and www.pwhois.org.

-t  Display the date the route was last cached by the pWhoIs server.

-u  Display dates in UTC/GMT instead of local time. Implies -t (enables cache-date display as a side effect).

-h server

-w server
    Override the source of prefix-based whois data. Both flags are equivalent: each sets the pWhoIs-compatible server to query instead of the default pWhoIs host. Accepts a hostname or IP address.

-f file
    Read from file and submit its contents as bulk input to pWhoIs. Pass ‘-’ as file to read from stdin. Input is buffered and subject to the constraints of the current pWhoIs server. Output is written to stdout (which may be redirected) and will not be parsed. Additional instructions to pWhoIs may be placed at the beginning of the file, but will only apply to the first buffer of input. The first (left-most) field on each line must be the IP address; lines may be up to 255 characters long.

-c  Use Cymru's whois server instead of pWhoIs for interactive queries. When used with -f, uses Cymru for bulk file resolution. See www.cymru.com for details.

-C  Use Cymru's whois server for bulk file resolution (implies -f). This is the explicit bulk-Cymru mode; interactive queries are unaffected.

-r  Use RIPE NCC RIS instead of pWhoIs. When used with -f, uses RIPE NCC riswhois for bulk file resolution. See www.ripe.net/projects/ris/.

-s  Display the version and status of the pWhoIs server and exit.

-V  Display verbose/debug output. Repeat for additional verbosity (-VV, -VVV).

-v  Display version information and exit.

me | whoami
    Display this host's public IP address and exit.

EXAMPLES
Basic query returning ASN, prefix, net name, and org name:

    whob 1.2.3.4

Query with AS-Path and net name displayed, GIGO mode disabled:

    whob -gnp 1.2.3.4

Bulk file resolution using Cymru:

    whob -Cf iplist.txt

Display this host's public IP:

    whob me

SEE ALSO
whois(1), lft(8)

HISTORY
The whob command first appeared in 2004. This whois framework has been a component of LFT since 2002.

AUTHORS
Victor Oppleman and Eugene Antsilevitch.

BUGS
To report bugs, send e-mail to <whob@oppleman.com>.